Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.container.object
Interface PortletContainerObject

All Superinterfaces:
  PortletContainer

All Known Implementing Classes:
  PortletContainerImpl

    public interface PortletContainerObject

extends PortletContainer

Contains life cycle and wiring details for the kernel environment.

Version:
  $Revision: 630 $
Author:
  Julien Viet

Method Summary
`void` | `addPortletFilter(PortletFilter filter)` Add a filter.
`void` | `removePortletFilter(PortletFilter filter)` Remove a filter.
`void` | `setContext(PortletContainerContext context)` Set/unset the portlet container context.
`void` | `setPortletApplication(PortletApplication application)` Set/unset the application.
`void` | `start()` Starts the portlet container.
`void` | `stop()` Stops the portlet container.

Methods inherited from interface org.jboss.portal.portlet.container.PortletContainer
`dispatch, getContext, getId, getInfo, getPortletApplication`

Method Detail

### setPortletApplication

    void setPortletApplication(PortletApplication application)

  Set/unset the application.

  Parameters:
    `application` - the related application

### setContext

    void setContext(PortletContainerContext context)

  Set/unset the portlet container context.

  Parameters:
    `context` - the context

### addPortletFilter

    void addPortletFilter(PortletFilter filter)

  Add a filter.

  Parameters:
    `filter` - the portlet filter

### removePortletFilter

    void removePortletFilter(PortletFilter filter)

  Remove a filter.

  Parameters:
    `filter` - the portlet filter

### start

    void start()
               throws java.lang.Exception

  Starts the portlet container.

  Throws:
    `java.lang.Exception` - any exception preventing the start

### stop

    void stop()

  Stops the portlet container.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.